> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Current User

> Get current user



## OpenAPI

````yaml get /users/me
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/me:
    get:
      tags:
        - users
      summary: Read Current User
      description: Get current user
      operationId: read_current_user_users_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserMeResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
      security:
        - HTTPBearer: []
components:
  schemas:
    UserMeResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        is_verified:
          type: boolean
          title: Is Verified
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        rating:
          anyOf:
            - $ref: '#/components/schemas/UserRatingResponse'
            - type: 'null'
        format_balance:
          type: string
          title: Format Balance
          readOnly: true
      type: object
      required:
        - id
        - phone
        - first_name
        - last_name
        - username
        - avatar_url
        - is_verified
        - format_balance
      title: UserMeResponse
    UserRatingResponse:
      properties:
        level:
          $ref: '#/components/schemas/UserRatingLevelResponse'
        points:
          type: integer
          title: Points
      type: object
      required:
        - level
        - points
      title: UserRatingResponse
    UserRatingLevelResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        queue:
          type: integer
          title: Queue
        max_points:
          type: integer
          title: Max Points
        price_range_min:
          type: integer
          title: Price Range Min
        price_range_max:
          type: integer
          title: Price Range Max
      type: object
      required:
        - id
        - name
        - queue
        - max_points
        - price_range_min
        - price_range_max
      title: UserRatingLevelResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````